Bug 13544 - admin/auth_subfields_structure.pl does not compile in older perls
Summary: admin/auth_subfields_structure.pl does not compile in older perls
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-09 14:53 UTC by Jonathan Druart
Modified: 2016-01-19 04:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13544: Make it explicit that getauthtypes returns a hash ref (1.12 KB, patch)
2015-01-09 15:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13544: Make it explicit that getauthtypes returns a hash ref (1.26 KB, patch)
2015-01-20 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13544: Make it explicit that getauthtypes returns a hash ref (1.31 KB, patch)
2015-01-28 08:03 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-01-09 14:53:27 UTC

    
Comment 1 Jonathan Druart 2015-01-09 15:04:17 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-01-11 22:13:20 UTC
Not sure how to test this, my system uses perl 5.18, but I found no regressions in editing the authority frameworks.
Comment 3 Jonathan Druart 2015-01-12 08:13:45 UTC
You can use sandboxes, they use perl 5.10.1
Comment 4 Katrin Fischer 2015-01-20 21:43:12 UTC Comment hidden (obsolete)
Comment 5 Martin Renvoize 2015-01-28 08:03:15 UTC
Created attachment 35570 [details] [review]
[PASSED QA] Bug 13544: Make it explicit that getauthtypes returns a hash ref

Prior to perl 5.12 keys can only operate on a hash.

Test plan:
With perl 5.10, access to admin/auth_subfields_structure.pl.
Without this patch, you get:
Type of arg 1 to keys must be hash (not subroutine entry) at
/home/koha/src/admin/auth_subfields_structure.pl line 102, near
"getauthtypes)"

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Confirmed problem and tested patch on a sandbox, signed off locally.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2015-01-28 08:04:03 UTC
Passing QA on this.. simple patch that fixes the problem.
Comment 7 Tomás Cohen Arazi 2015-02-04 18:54:46 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Chris Cormack 2015-02-09 20:37:24 UTC
Pushed to 3.18.x will be in 3.18.4